function [EnabledHelperFunction,FullName] = EnableHelperFunction(HelperFunctions,temp)


CurrentPath = cd;
cd('HelperFunctions');

if iscell(temp) == 1
    for i = 1:length(temp)-1
        cd(temp{i});
    end
end

if iscell(temp) == 1
    FileName = temp{end};
else 
    FileName = temp;
end

if ismac == 1
    pathsep = '/';
else
    pathsep = '\';
end

[path,file,ext] = fileparts(FileName);
FullName = [pwd pathsep file ext];

switch FileName(end)
    case 'm'
        EnabledHelperFunction = str2func(FileName(1:end-2));
    case 'i'
        EnabledHelperFunction = str2func(FileName(1:end-8));
    case '4'
        EnabledHelperFunction = str2func(FileName(1:end-10));
    case '2'
        EnabledHelperFunction = str2func(FileName(1:end-7));
end
cd(CurrentPath);