function h = NewPresentationSlide(varargin)

ColorInd = find(strcmpi(varargin(1:end),'color')==1);
switch isempty(ColorInd)
    case 0
        color = varargin{ColorInd+1};
    case 1
        color = 'w';
end

WidthInd = find(strcmpi(varargin(1:end),'width')==1);
switch isempty(WidthInd)
    case 0
        x = varargin{WidthInd+1};
    case 1
        x = 1024;
end

HeightInd = find(strcmpi(varargin(1:end),'height')==1);
switch isempty(HeightInd)
    case 0
        y = varargin{HeightInd+1};
    case 1
        y = 768;
end

h = figure;

set(h, 'PaperPositionMode', 'manual');
set(h, 'PaperUnits', 'inches');
set(h, 'PaperPosition', [0 0 x/y*8 8]);
set(h, 'PaperSize',[x/y*8 8])

set(h,'position',[0 0 x/y*800 800],'color',color);