function vec = strsep(str,char)
% vec = strsep(str,char)
%  Inputs : 
%       string
%       separator
%  Outputs :
%       cell array of components of string separated by separator
k = strfind(str,char);

k = [0 k length(str)+1];

for i = 1:length(k)-1
    start = k(i)+1;
    finish = k(i+1)-1;
    vec{i} = str(start:finish);
end
    